FORUMS
Remove All Ads from XDA

uConnect 6.5 (Alfa / Fiat) Root Access

272 posts
Thanks Meter: 73
 
By SquithyX, Senior Member on 12th August 2018, 01:28 PM
Post Reply Email Thread
12th December 2018, 05:33 PM |#21  
Senior Member
Flag Ferrara
Thanks Meter: 5
 
More
Quote:
Originally Posted by SquithyX

I have used a modified 17.07.55 swdl.iso with a script.lua - if you download the test above it contains some of the modified files. The rest are currently being uploaded / are already available online.

I have done a very quick video of progress with the uConnect here:

https://youtu.be/ed0O-xXNHdg

I have tried your files, but I got no pop up window, just a” unknown files “ usually when I have tried some modify iso, I have gotten “authentic failed “ for example. I’m very upset with myself to have updated to 18 version 😞. Anyway, we are on the right way. What kind of modify have you done on the iso? What file have you put in it in fact to run the script.lua? I can try to do the same to the 18’s iso
 
 
12th December 2018, 07:00 PM |#22  
OP Senior Member
Flag Bradford
Thanks Meter: 73
 
More
Quote:
Originally Posted by sofro1988

I have tried your files, but I got no pop up window, just a” unknown files “ usually when I have tried some modify iso, I have gotten “authentic failed “ for example. I’m very upset with myself to have updated to 18 version . Anyway, we are on the right way. What kind of modify have you done on the iso? What file have you put in it in fact to run the script.lua? I can try to do the same to the 18’s iso

I have modified the manifest.lua file in /etc of the swld.iso... unfortunately i think that the v18 images are much smaller so the file cant be modified, and we would have to figure out the new mound points for the update. I suspect that it is saying " unknown files " as it is trying to run a update script that has been moved in the v18 iso's

One of the *possible* work rounds that i have been thinking about is to just change the version number in the manifest file:

local version="17.07.55" <<----------- change this number to "20.01.01" or similar
local module_type="APP"
local target_version_file="/etc/version.txt"

This will in theory may allow the system to use the update script in the v17 iso.
12th December 2018, 08:18 PM |#23  
Senior Member
Flag Ferrara
Thanks Meter: 5
 
More
Quote:
Originally Posted by SquithyX

I have modified the manifest.lua file in /etc of the swld.iso... unfortunately i think that the v18 images are much smaller so the file cant be modified, and we would have to figure out the new mound points for the update. I suspect that it is saying " unknown files " as it is trying to run a update script that has been moved in the v18 iso's

One of the *possible* work rounds that i have been thinking about is to just change the version number in the manifest file:

local version="17.07.55" <<----------- change this number to "20.01.01" or similar
local module_type="APP"
local target_version_file="/etc/version.txt"

This will in theory may allow the system to use the update script in the v17 iso.

I understood. Which tool have you used to change the manifest.lua? Maybe your though may be right 😊
12th December 2018, 10:02 PM |#24  
OP Senior Member
Flag Bradford
Thanks Meter: 73
 
More
The tool I used to modify the iso is: HxD - hex editor for windows.

I have just modified a swdl to be version no v42.01.01 and am just uploading it if you would be happy to give it a try?
13th December 2018, 06:06 AM |#25  
Senior Member
Flag Ferrara
Thanks Meter: 5
 
More
Quote:
Originally Posted by SquithyX

The tool I used to modify the iso is: HxD - hex editor for windows.

I have just modified a swdl to be version no v42.01.01 and am just uploading it if you would be happy to give it a try?

Sure. Thank you very much. I’ll let you know 😊
13th December 2018, 08:46 AM |#26  
OP Senior Member
Flag Bradford
Thanks Meter: 73
 
More
This swdl states its version 42.010.01 lol.

https://mega.nz/#!NJoG1K4I!kf2hBWRZf...nQO7yVXaREuUK0
13th December 2018, 10:55 AM |#27  
Senior Member
Flag Ferrara
Thanks Meter: 5
 
More
Quote:
Originally Posted by SquithyX

This swdl states its version 42.010.01 lol.

https://mega.nz/#!NJoG1K4I!kf2hBWRZf...nQO7yVXaREuUK0

i answered about this iso in the alfa forum. for me the system for same reason does not recognize the firmware on the usb. now I have tried to inject the script into manifest.lua using the swdl.upd in the 18 firmware. later i'm going to check what happen. i have read the first file uconnect loads without any check is the manifest.lua, so i hope fca did not change it in the 18v
13th December 2018, 11:09 AM |#28  
OP Senior Member
Flag Bradford
Thanks Meter: 73
 
More
Quote:
Originally Posted by sofro1988

i answered about this iso in the alfa forum. for me the system for same reason does not recognize the firmware on the usb. now I have tried to inject the script into manifest.lua using the swdl.upd in the 18 firmware. later i'm going to check what happen. i have read the first file uconnect loads without any check is the manifest.lua, so i hope fca did not change it in the 18v

The problem with the v18 update is the initial manifest.lua on the swdl.iso is only 2450bytes in size - too small to allow modifications, there is however a much bigger and more 'correct' looking manifest.lua stored in the upd but I don't know if it looks at that one initially.

Sent from my CLT-L09 using Tapatalk
13th December 2018, 11:17 AM |#29  
Senior Member
Flag Ferrara
Thanks Meter: 5
 
More
Quote:
Originally Posted by SquithyXi

The problem with the v18 update is the initial manifest.lua on the swdl.iso is only 2450bytes in size - too small to allow modifications, there is however a much bigger and more 'correct' looking manifest.lua stored in the upd but I don't know if it looks at that one initially.

Sent from my CLT-L09 using Tapatalk

I have modified the one stored in upd. just a question, you mentioned in previous posts, you have broken the navigation, then fixed it. what have you done?
13th December 2018, 12:54 PM |#30  
OP Senior Member
Flag Bradford
Thanks Meter: 73
 
More
Quote:
Originally Posted by sofro1988

I have modified the one stored in upd. just a question, you mentioned in previous posts, you have broken the navigation, then fixed it. what have you done?

Hahaha, that was my stubby fingers lol. I had pushed the NaviServer2 to the wrong location, that was all!
13th December 2018, 01:04 PM |#31  
Senior Member
Flag Ferrara
Thanks Meter: 5
 
More
Quote:
Originally Posted by SquithyX

Hahaha, that was my stubby fingers lol. I had pushed the NaviServer2 to the wrong location, that was all!

no luck. it didn't work. I've seen a pop up where was wrtten "wait 2 minutes" then it changes quickly in "Authentication failed". just to know, when you inject the script into manifest.lua, what do you check later? the file size? do you do the md5 check?
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes